### Class

# Aravis ChunkParser

#### Description [src]

    final class Aravis.ChunkParser : GObject.Object
    {
      /* No available fields */
    }

`ArvChunkParser` provides a class for the instantiation of chunk parsers used for the extraction of chunk data stored in the stream payload.

Chunks are tagged blocks of data stored in a `ArvBuffer` containing a `ARV_BUFFER_PAYLOAD_TYPE_CHUNK_DATA` payload. The tags allow a chunk parser to dissect the data payload into its elements and to identify the content.

Chunk data are enabled using either `arv_camera_set_chunks()` or `arv_camera_set_chunk_mode()`. Both functions are simple convenience wrappers that handle the setting of ChunkModeActive, ChunkSelector and ChunkEnable GENICAM features.

Here is an example of this API in use: tests/arvchunkparsertest.c.

#### Ancestors

- GObject

#### Constructors

###### arv_chunk_parser_new

Creates a new chunk_parser.

since: 0.4.0

#### Instance methods

###### arv_chunk_parser_get_boolean_value

No description available.

###### arv_chunk_parser_get_float_value

No description available.

###### arv_chunk_parser_get_integer_value

No description available.

###### arv_chunk_parser_get_string_value

No description available.

###### arv_chunk_parser_set_integer_feature_value

Set a feature value using a 64 bit value. The main use for this function is to set a Selector feature, in order to access the corresponding chunk value. As the Genicam data owned by the parser is not shared with the device, this function is limited to features that don’t trigger device access.

since: 0.8.35

###### arv_chunk_parser_set_string_feature_value

Set a feature value using a string. The main use for this function is to set a Selector feature, in order to access the corresponding chunk value. As the Genicam data owned by the parser is not shared with the device, this function is limited to features that don’t trigger device access.

since: 0.8.35

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Aravis.ChunkParser:genicam

Internal Genicam object.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisChunkParserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.